Odpowiedz 
 
Ocena wątku:
  • 0 Głosów - 0 Średnio
  • 1
  • 2
  • 3
  • 4
  • 5
GDAL + QGIS
07-03-2010, 04:52 PM
Post: #1
GDAL + QGIS
Mam Ubuntu.

Zainstalowałem pakiet oprogramowania GIS poprzez Menadżer Pakietów Synaptic. Był tam QGIS w wersji 1.4 i GDAL w wersji 1.6.4 - wszystko działało pięknie.

Do czasu, kiedy potrzebowałem funkcji, które są w GDAL w wersji wyższej niż 1.7.0. Pobrałem kod, skompilowałem, zainstalowałem i... nie działało nic, bo te dwie wersje chyba się gryzły...

Synapticem odinstalowałem starszego GDALa i było ok. Wersja 1.7.1 z linii komend działała dobrze. Jednak po odpaleniu QGIS nie działają mi wtyczki oparte na GDAL...

np. GDAlTools wymaga biblioteki python-osgeo(?) W pakietach synaptic jej nie ma...

Co począć?
Odwiedź stronę użytkownika Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
02-04-2010, 11:31 PM
Post: #2
RE: GDAL + QGIS
Paczki Qgis 1.4 do Karmica są kompilowane pod gdala 1.6.0, więc jeśli kompilujesz nowszego gdala, to musisz też skompilować pod niego całego qgisa (co powinno pójść zupełnie gładko, musisz mieć tylko wszystkie paczki dev do qt4 itp).

Borys Jurgiel
Zespół Rozwojowy QGIS
Odwiedź stronę użytkownika Znajdź wszystkie posty użytkownika
Zacytuj ten post w odpowiedzi
Odpowiedz 


Skocz do: